#!/usr/bin/perl

# Author : Damien KROTKINE (damien@libconf.net)
#
# Contributors : 
#
# Copyright (C) 2004 Damien KROTKINE (dams@libconf.net)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

=head1 NAME

PERL : Libconf::Glueconf::X::Xdm
C/PYTHON/RUBY : X/Xdm

=head1 DESCRIPTION

Libconf::Glueconf::X::Xdm is a template that handles the xdm configuration file

=head1 SYNOPSIS

  $xdm = new Libconf::Glueconf::X::Xdm({ filename => '/etc/samba/smb.conf' });
  $xdm->{foo} = 'bar';
  $xdm->write_conf();

=head1 CONSTRUCTOR

=over

=item B<new($options)>

creates the template

  $xdm = new Libconf::Glueconf::X::Xdm({
                                        .. options .. 
                                      });

the options are the same as in L<Libconf::Glueconf::KeyValue>, look
there to have the details.

=back

=head1 METHODS

See <Libconf::Glueconf> for general methods

=cut

package Libconf::Glueconf::X::Xdm;
use strict;
use vars qw(@ISA);
use Libconf;
use Libconf::Glueconf::Generic::KeyValue;

our @ISA = qw(Libconf::Glueconf::Generic::KeyValue);

sub new {
    my ($class, $args) = @_;
    $class->SUPER::new(init_args($args, { glueconf_template_name => 'X/Xdm' } ));
}

sub description { 'template for the xdm configuration file' }

1;




